/*******************************************************************************
 * Copyright (c) 2000, 2011 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/
package org.aspectj.org.eclipse.jdt.internal.compiler.parser;

/*An interface that contains static declarations for some basic information
 about the parser such as the number of rules in the grammar, the starting state, etc...*/
public interface ParserBasicInformation {

	public final static int

      ERROR_SYMBOL      = 119,
      MAX_NAME_LENGTH   = 41,
      NUM_STATES        = 1199,

      NT_OFFSET         = 119,
      SCOPE_UBOUND      = 197,
      SCOPE_SIZE        = 198,
      LA_STATE_OFFSET   = 16094,
      MAX_LA            = 1,
      NUM_RULES         = 926,
      NUM_TERMINALS     = 119,
      NUM_NON_TERMINALS = 391,
      NUM_SYMBOLS       = 510,
      START_STATE       = 970,
      EOFT_SYMBOL       = 77,
      EOLT_SYMBOL       = 77,
      ACCEPT_ACTION     = 16093,
      ERROR_ACTION      = 16094;
}
